/// class PD.Manage.Modules.ViewCreateDialogCommand

PD.Manage.Modules.ViewCreateDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "view/create-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("plus.png"));
        this.props("label", "New");
        this.props("tooltip", "Create a new View.");
    },

    execute: function (e) {
        this._super(e);

        PDJS.Shared.Features.FeatureDialogForNhib.open({
            title: "New View",
            args: {
                targetType: "ProspectDirector.Web.Manage.Modules.Views.ViewUIO",
                arbiterType: "ProspectDirector.Web.Manage.Modules.Views.ViewArbiter"
            },
            callbacks: {
                "ok": (sender, e) => {

                    PD.context
                        .get_default()
                        .get_events()
                        .publish("view/create", {
                            id: e.target.id
                        });

                }
            }
        }, {
            height: 550,
            width: 700,
        });

    }

});
